const express = require("express");
const router = express.Router();
const authMiddleware = require("../middleware/authMiddleware");
const { searchSDS, getSDS, getPublicSDS, saveSDS } = require("../controllers/sds");

router.post("/search", authMiddleware, searchSDS);

router.get("/", authMiddleware, getSDS);

router.get("/public", getPublicSDS);

router.post("/", authMiddleware, saveSDS);

module.exports = router;
